Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80196 - rpm -qa gives seg fault. Corrupt db ?
Summary: rpm -qa gives seg fault. Corrupt db ?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-22 04:06 UTC by Mark Winder
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 18:44:05 UTC


Attachments (Terms of Use)

Description Mark Winder 2002-12-22 04:06:27 UTC
Description of problem:
Bit of a newbie at this. Rpm has become eratic and doesn't work any more. I've 
had to kill it because it has hung while installing If you do rpm -qa the 
example now on my screen has popped up a box saying "Application gnome-terminal 
has crashed due to a fatal error (Segmentation Fault). Clicking start system 
ppackages also causes errors that range from an immediate re-boot to 
termination of all running shells, to  an error box similar to the above 
popping up, its not consistent. I'm reading the page at 
http://www.rpm.org/hintskinks/repairdb/ where Jeff Johnson says that if rpm -qa 
gives segfault here I should submit an entry on bugzilla,  and he'll tell me 
what to do. and so I am!
Its worth noting that rpm --rebuilddb also gives a segfault, but db_verify 
Packages completes silently. 

Version-Release number of selected component (if applicable):
rpm 4.1

How reproducible:
Every time on this machine now. 

Steps to Reproduce:
1. rpm -qa
2.
3.
    
Actual results:
Packages are listed out as expected, but after about 200 or more the 
Application gnome-terminal box appears. Clicking on this will close the shell, 
or all openb shells, and may freeze up the computer or cause a spontabious 
reboot. Occasionally a small grey error box appears here too. 

Expected results:
Command should run to completion

Additional info:

Comment 1 Tim Powers 2002-12-22 14:55:53 UTC
Changed component to rpm

Comment 2 Jeff Johnson 2002-12-23 21:24:00 UTC
What does "rpm --rebuilddb -vv" say?

Comment 3 Jeremy Katz 2005-04-19 18:44:05 UTC
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.


Note You need to log in before you can comment on or make changes to this bug.